package com.trs.project.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

@Data
@TableName("nm_result_notice")
public class NmResultNotice {

  private String projectCode;
  private String tenderProjectCode;
  private String bidSectionCode;
  private String noticeName;
  private String noticeContent;
  private long noticeSendTime;
  private String noticeMedia;
  private String url;
  private String bulletinType;
  private String winBidderName;
  private String bidderCodeType;
  private String winBidderCode;
  private String bidAmount;
  private String platformCode;
  private String pubServicePlatCode;
  private long dataTimestamp;
  private String pspRelateNoticeId;
  private String pspFirstNoticeId;
  private String pspRelateResultNoticeId;
  private long pspBidOpenTime;
  private String tenderCode;
  private String otherContent;
  private String bulletinDuty;
  private String examinerName;
  private String attachmentCode;
  private String nBidderCodeType;
  private String regionCode;
  private String traPlaceCode;
  private String tenderAgencyName;
  private String tenderAgencyCode;
  private String priceFormCode;
  private String otherBidPrice;


  public String getProjectCode() {
    return projectCode;
  }

  public void setProjectCode(String projectCode) {
    this.projectCode = projectCode;
  }


  public String getTenderProjectCode() {
    return tenderProjectCode;
  }

  public void setTenderProjectCode(String tenderProjectCode) {
    this.tenderProjectCode = tenderProjectCode;
  }


  public String getBidSectionCode() {
    return bidSectionCode;
  }

  public void setBidSectionCode(String bidSectionCode) {
    this.bidSectionCode = bidSectionCode;
  }


  public String getNoticeName() {
    return noticeName;
  }

  public void setNoticeName(String noticeName) {
    this.noticeName = noticeName;
  }


  public String getNoticeContent() {
    return noticeContent;
  }

  public void setNoticeContent(String noticeContent) {
    this.noticeContent = noticeContent;
  }


  public long getNoticeSendTime() {
    return noticeSendTime;
  }

  public void setNoticeSendTime(long noticeSendTime) {
    this.noticeSendTime = noticeSendTime;
  }


  public String getNoticeMedia() {
    return noticeMedia;
  }

  public void setNoticeMedia(String noticeMedia) {
    this.noticeMedia = noticeMedia;
  }


  public String getUrl() {
    return url;
  }

  public void setUrl(String url) {
    this.url = url;
  }


  public String getBulletinType() {
    return bulletinType;
  }

  public void setBulletinType(String bulletinType) {
    this.bulletinType = bulletinType;
  }


  public String getWinBidderName() {
    return winBidderName;
  }

  public void setWinBidderName(String winBidderName) {
    this.winBidderName = winBidderName;
  }


  public String getBidderCodeType() {
    return bidderCodeType;
  }

  public void setBidderCodeType(String bidderCodeType) {
    this.bidderCodeType = bidderCodeType;
  }


  public String getWinBidderCode() {
    return winBidderCode;
  }

  public void setWinBidderCode(String winBidderCode) {
    this.winBidderCode = winBidderCode;
  }


  public String getBidAmount() {
    return bidAmount;
  }

  public void setBidAmount(String bidAmount) {
    this.bidAmount = bidAmount;
  }


  public String getPlatformCode() {
    return platformCode;
  }

  public void setPlatformCode(String platformCode) {
    this.platformCode = platformCode;
  }


  public String getPubServicePlatCode() {
    return pubServicePlatCode;
  }

  public void setPubServicePlatCode(String pubServicePlatCode) {
    this.pubServicePlatCode = pubServicePlatCode;
  }


  public long getDataTimestamp() {
    return dataTimestamp;
  }

  public void setDataTimestamp(long dataTimestamp) {
    this.dataTimestamp = dataTimestamp;
  }


  public String getPspRelateNoticeId() {
    return pspRelateNoticeId;
  }

  public void setPspRelateNoticeId(String pspRelateNoticeId) {
    this.pspRelateNoticeId = pspRelateNoticeId;
  }


  public String getPspFirstNoticeId() {
    return pspFirstNoticeId;
  }

  public void setPspFirstNoticeId(String pspFirstNoticeId) {
    this.pspFirstNoticeId = pspFirstNoticeId;
  }


  public String getPspRelateResultNoticeId() {
    return pspRelateResultNoticeId;
  }

  public void setPspRelateResultNoticeId(String pspRelateResultNoticeId) {
    this.pspRelateResultNoticeId = pspRelateResultNoticeId;
  }


  public long getPspBidOpenTime() {
    return pspBidOpenTime;
  }

  public void setPspBidOpenTime(long pspBidOpenTime) {
    this.pspBidOpenTime = pspBidOpenTime;
  }


  public String getTenderCode() {
    return tenderCode;
  }

  public void setTenderCode(String tenderCode) {
    this.tenderCode = tenderCode;
  }


  public String getOtherContent() {
    return otherContent;
  }

  public void setOtherContent(String otherContent) {
    this.otherContent = otherContent;
  }


  public String getBulletinDuty() {
    return bulletinDuty;
  }

  public void setBulletinDuty(String bulletinDuty) {
    this.bulletinDuty = bulletinDuty;
  }


  public String getExaminerName() {
    return examinerName;
  }

  public void setExaminerName(String examinerName) {
    this.examinerName = examinerName;
  }


  public String getAttachmentCode() {
    return attachmentCode;
  }

  public void setAttachmentCode(String attachmentCode) {
    this.attachmentCode = attachmentCode;
  }


  public String getNBidderCodeType() {
    return nBidderCodeType;
  }

  public void setNBidderCodeType(String nBidderCodeType) {
    this.nBidderCodeType = nBidderCodeType;
  }


  public String getRegionCode() {
    return regionCode;
  }

  public void setRegionCode(String regionCode) {
    this.regionCode = regionCode;
  }


  public String getTraPlaceCode() {
    return traPlaceCode;
  }

  public void setTraPlaceCode(String traPlaceCode) {
    this.traPlaceCode = traPlaceCode;
  }


  public String getTenderAgencyName() {
    return tenderAgencyName;
  }

  public void setTenderAgencyName(String tenderAgencyName) {
    this.tenderAgencyName = tenderAgencyName;
  }


  public String getTenderAgencyCode() {
    return tenderAgencyCode;
  }

  public void setTenderAgencyCode(String tenderAgencyCode) {
    this.tenderAgencyCode = tenderAgencyCode;
  }


  public String getPriceFormCode() {
    return priceFormCode;
  }

  public void setPriceFormCode(String priceFormCode) {
    this.priceFormCode = priceFormCode;
  }


  public String getOtherBidPrice() {
    return otherBidPrice;
  }

  public void setOtherBidPrice(String otherBidPrice) {
    this.otherBidPrice = otherBidPrice;
  }

}
